<%= form_for @changeset, @action, fn f -> %>
  <%= if @changeset.action do %>
    <div class="alert alert-danger">
      <p>Oops, something went wrong! Please check the errors below.</p>
    </div>
  <% end %>

  <%= label f, :title %>
  <%= text_input f, :title %>
  <%= error_tag f, :title %>

  <%= label f, :slug %>
  <%= text_input f, :slug %>
  <%= error_tag f, :slug %>

  <%= label f, :content %>
  <%= textarea f, :content %>
  <%= error_tag f, :content %>

  <%= label f, :url %>
  <%= text_input f, :url %>
  <%= error_tag f, :url %>

  <%= label f, :topics %>
  <%= text_input f, :topics, value: @tags %>
  <%= error_tag f, :topics %>

  <div>
    <%= submit "Save" %>
  </div>
<% end %>
